#ifndef __LCD_H
#define __LCD_H

#include <string.h>
#include "stm32f4xx.h"
#include "utils.h"

typedef enum 
{
  LCD_RW  = 0,
  LCD_E   = 1,
  LCD_RS  = 2,
  LCD_D4  = 3,
  LCD_D5  = 4,
  LCD_D6  = 5,
  LCD_D7  = 6
} Lcd_TypeDef;

/** @addtogroup STM32F4_DISCOVERY_LOW_LEVEL_LCD
  * @{
  */
#define LCDn                             7

#define LCD_PORT                         GPIOE
#define LCD_PORT_CLK                     RCC_AHB1Periph_GPIOE

#define LCD_RS_PIN                       GPIO_Pin_10
#define LCD_RS_GPIO_PORT                 GPIOE
#define LCD_RS_GPIO_CLK                  RCC_AHB1Periph_GPIOE

#define LCD_RW_PIN                       GPIO_Pin_11
#define LCD_RW_GPIO_PORT                 GPIOE
#define LCD_RW_GPIO_CLK                  RCC_AHB1Periph_GPIOE  

#define LCD_E_PIN                        GPIO_Pin_9
#define LCD_E_GPIO_PORT                  GPIOE
#define LCD_E_GPIO_CLK                   RCC_AHB1Periph_GPIOE  

#define LCD_D4_PIN                       GPIO_Pin_12
#define LCD_D4_GPIO_PORT                 GPIOE
#define LCD_D4_GPIO_CLK                  RCC_AHB1Periph_GPIOE  

#define LCD_D5_PIN                       GPIO_Pin_13
#define LCD_D5_GPIO_PORT                 GPIOE
#define LCD_D5_GPIO_CLK                  RCC_AHB1Periph_GPIOE  

#define LCD_D6_PIN                       GPIO_Pin_14
#define LCD_D6_GPIO_PORT                 GPIOE
#define LCD_D6_GPIO_CLK                  RCC_AHB1Periph_GPIOE  

#define LCD_D7_PIN                       GPIO_Pin_15
#define LCD_D7_GPIO_PORT                 GPIOE
#define LCD_D7_GPIO_CLK                  RCC_AHB1Periph_GPIOE  

#define LCD_E_SET()                      GPIOE->BSRRL=LCD_E_PIN
#define LCD_E_CLR()                      GPIOE->BSRRH=LCD_E_PIN
         


void LCD_WaitForReady();
void LCD_WriteNibble( int data );
void LCD_WriteCmd( int data );
void LCD_WriteData (int data);
void LCD_ClearScreen();
void LCD_SetLine( int line );
void LCD_WriteString( int line, char* str );
void LCD_Init();

#endif